MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
PlaylistStream.hxx File Reference
`#include "Compiler.h"`
Include dependency graph for PlaylistStream.hxx:

Go to the source code of this file.

## Functions
gcc_nonnull_all SongEnumerator * | playlist_open_path (Path path, Mutex &mutex, Cond &cond)
| Opens a playlist from a local file. More...
gcc_nonnull_all SongEnumerator * | playlist_open_remote (const char *uri, Mutex &mutex, Cond &cond)

## Function Documentation

gcc_nonnull_all SongEnumerator* playlist_open_path | ( | Path | path,
|  | Mutex & | mutex,
|  | Cond & | cond
| ) |  |

Opens a playlist from a local file.

Parameters

  path | the path of the playlist file

Returns
  a playlist, or nullptr on error

gcc_nonnull_all SongEnumerator* playlist_open_remote | ( | const char * | uri,
|  | Mutex & | mutex,
|  | Cond & | cond
| ) |  |